Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.item
Class ItemTool

    java.lang.Object
      net.minecraft.item.Item
          net.minecraft.item.ItemTool

Direct Known Subclasses:
  ItemAxe, ItemPickaxe, ItemSpade

    public class ItemTool

extends Item

Field Summary
`int` | `damageVsEntity` Damage versus entities.
`float` | `efficiencyOnProperMaterial`

Fields inherited from class net.minecraft.item.Item
`appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bakedPotato, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, carrot, carrotOnAStick, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, emptyMap, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, field_92052_bU, field_92053_bW, field_92054_bV, fireballCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, flowerPot, ghastTear, glassBottle, goldenCarrot, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemFrame, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, netherStar, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, poisonousPotato, porkCooked, porkRaw, potato, potion, pumpkinPie, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWait, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shiftedIndex, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, skull, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

Method Summary
`int` | `getDamageVsEntity(Entity par1Entity)` Returns the damage against a given entity.
`boolean` | `getIsRepairable(ItemStack par1ItemStack, ItemStack par2ItemStack)` Return whether this item is repairable in an anvil.
`int` | `getItemEnchantability()` Return the enchantability factor of the item, most of the time is based on material.
`float` | `getStrVsBlock(ItemStack par1ItemStack, Block par2Block)` Returns the strength of the stack against a given block.
`float` | `getStrVsBlock(ItemStack stack, Block block, int meta)` FORGE: Overridden to allow custom tool effectiveness
`String` | `getToolMaterialName()` Return the name for this tool's material.
`boolean` | `hitEntity(ItemStack par1ItemStack, EntityLiving par2EntityLiving, EntityLiving par3EntityLiving)` Current implementations of this method in child classes do not use the entry argument beside ev.
`boolean` | `isFull3D()`
`boolean` | `onBlockDestroyed(ItemStack par1ItemStack, World par2World, int par3, int par4, int par5, int par6, EntityLiving par7EntityLiving)`

Methods inherited from class net.minecraft.item.Item
`addInformation, canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItemStack, getCreativeTab, getCreativeTabs, getEntityLifespan, getHasSubtypes, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIconIndex, getIconIndex, getItemDisplayName, getItemName, getItemNameIS, getItemStackLimit, getItemUseAction, getLocalItemName, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getStatName, getSubItems, getTextureFile, hasContainerItem, hasCustomEntity, hasEffect, isDamageable, isItemTool, isMap, isPotionIngredient, isRepairable, itemInteractionForEntity, onBlockStartBreak, onCreated, onDroppedByPlayer, onFoodEaten, onItemRightClick, onItemUse, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldPassSneakingClickToBlock, shouldRotateAroundWhenRendering`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### efficiencyOnProperMaterial

    public float efficiencyOnProperMaterial

### damageVsEntity

    public int damageVsEntity

  Damage versus entities.

Method Detail

### getStrVsBlock

    public float getStrVsBlock(ItemStack par1ItemStack,
                               Block par2Block)

  Returns the strength of the stack against a given block. 1.0F base, (Quality+1)*2 if correct blocktype, 1.5F if sword

  Overrides:
    `getStrVsBlock` in class `Item`

### hitEntity

    public boolean hitEntity(ItemStack par1ItemStack,
                             EntityLiving par2EntityLiving,
                             EntityLiving par3EntityLiving)

  Current implementations of this method in child classes do not use the entry argument beside ev. They just raise the damage on the stack.

  Overrides:
    `hitEntity` in class `Item`

### onBlockDestroyed

    public boolean onBlockDestroyed(ItemStack par1ItemStack,
                                    World par2World,
                                    int par3,
                                    int par4,
                                    int par5,
                                    int par6,
                                    EntityLiving par7EntityLiving)

  Overrides:
    `onBlockDestroyed` in class `Item`

### getDamageVsEntity

    public int getDamageVsEntity(Entity par1Entity)

  Returns the damage against a given entity.

  Overrides:
    `getDamageVsEntity` in class `Item`

### isFull3D

    public boolean isFull3D()

  Overrides:
    `isFull3D` in class `Item`

### getItemEnchantability

    public int getItemEnchantability()

  Return the enchantability factor of the item, most of the time is based on material.

  Overrides:
    `getItemEnchantability` in class `Item`

### getToolMaterialName

    public String getToolMaterialName()

  Return the name for this tool's material.

### getIsRepairable

    public boolean getIsRepairable(ItemStack par1ItemStack,
                                   ItemStack par2ItemStack)

  Return whether this item is repairable in an anvil.

  Overrides:
    `getIsRepairable` in class `Item`

### getStrVsBlock

    public float getStrVsBlock(ItemStack stack,
                               Block block,
                               int meta)

  FORGE: Overridden to allow custom tool effectiveness

  Overrides:
    `getStrVsBlock` in class `Item`
  Parameters:
    `stack` - The Item Stack
    `block` - The block the item is trying to break
    `meta` - The items current metadata
  Returns:
    The damage strength

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD